# Lengow

## How to run

To run locally, do the usual :

- Create a virtualenv
- Install dependencies :

```
pip install -r requirements.txt
```

- Clone the project
- Inside virtualenv, do theses commands to create the database :

```
python manage.py makemigrations
python manage.py migrate
```

- Finally, run the server :

```
python manage.py runserver
```

- Website will be available through [http://localhost:8000/](http://localhost:8000/)

## Grab orders from the API

Run this command insode virtualenv :
```
python manage.py sync
```

## REST API

The REST API is available on [http://localhost:8000/api/orders/](http://localhost:8000/api/orders/)

## TODO

- Create some sub-models and their required views to support more of the XML API (like addresses, tracking or cart informations)
- Be more precise on the max-length, null and blank parameters in the order's model (XML is too flexible for real databases constraints)
- Enable authentication for altering actions on the REST API
